Bug 857291 - systemctl disable iptables.service and /etc/sysconfig/iptables don't work [NEEDINFO]
systemctl disable iptables.service and /etc/sysconfig/iptables don't work
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iptables (Show other bugs)
7.0
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Thomas Woerner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 23:19 EDT by Xiaowei Li
Modified: 2014-01-09 06:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 06:26:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caiqian: needinfo? (xiaoli)


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-09-13 23:19:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):
iptables-1.4.14-3.el7.x86_64
kernel-3.5.0-0.24.el7.x86_64

How reproducible:


Steps to Reproduce:
# iptables -F
>>> now i can ssh to the host >>
# iptables-save > /etc/sysconfig/iptables
# chkconfig iptables off
Note: Forwarding request to 'systemctl disable iptables.service'.
# init 6
  
Actual results:
after OS reboots, fail to ssh to the host

Expected results:
after OS reboots, can ssh to the host

Additional info:
# cat /etc/sysconfig/iptables
# Generated by iptables-save v1.4.14 on Thu Sep 13 23:16:51 2012
*nat
:PREROUTING ACCEPT [1269:179418]
:INPUT ACCEPT [26:3611]
:OUTPUT ACCEPT [0:0]
:POSTROUTING ACCEPT [0:0]
:OUTPUT_direct - [0:0]
:POSTROUTING_ZONES - [0:0]
:POSTROUTING_direct - [0:0]
:PREROUTING_ZONES - [0:0]
:PREROUTING_direct - [0:0]
-A PREROUTING -j PREROUTING_direct
-A PREROUTING -j PREROUTING_ZONES
-A OUTPUT -j OUTPUT_direct
-A POSTROUTING -j POSTROUTING_direct
-A POSTROUTING -j POSTROUTING_ZONES
COMMIT
# Completed on Thu Sep 13 23:16:51 2012
# Generated by iptables-save v1.4.14 on Thu Sep 13 23:16:51 2012
*mangle
:PREROUTING ACCEPT [1396:191799]
:INPUT ACCEPT [1288:184188]
:FORWARD ACCEPT [0:0]
:OUTPUT ACCEPT [72:8689]
:POSTROUTING ACCEPT [72:8689]
:FORWARD_direct - [0:0]
:INPUT_direct - [0:0]
:OUTPUT_direct - [0:0]
:POSTROUTING_direct - [0:0]
:PREROUTING_ZONES - [0:0]
:PREROUTING_direct - [0:0]
-A PREROUTING -j PREROUTING_direct
-A PREROUTING -j PREROUTING_ZONES
-A INPUT -j INPUT_direct
-A FORWARD -j FORWARD_direct
-A OUTPUT -j OUTPUT_direct
-A POSTROUTING -j POSTROUTING_direct
COMMIT
# Completed on Thu Sep 13 23:16:51 2012
# Generated by iptables-save v1.4.14 on Thu Sep 13 23:16:51 2012
*filter
:INPUT ACCEPT [73:5605]
:FORWARD ACCEPT [0:0]
:OUTPUT ACCEPT [36:3616]
:FORWARD_ZONES - [0:0]
:FORWARD_direct - [0:0]
:INPUT_ZONES - [0:0]
:INPUT_direct - [0:0]
:OUTPUT_direct - [0:0]
COMMIT
# Completed on Thu Sep 13 23:16:51 2012
Comment 1 Thomas Woerner 2012-09-14 07:30:00 EDT
firewalld is the standard firewall solution with Fedora-18 and RHEL-7. Is the firewalld service active in your system? The firewall configuration is not complete. ssh is allowed in the default firewall zone, but the rules for this zone are not there and the network interface is not part of that zone.

Have you modified the firewalld configuration?
Comment 2 Xiaowei Li 2012-09-16 22:43:26 EDT
(In reply to comment #1)
> firewalld is the standard firewall solution with Fedora-18 and RHEL-7. Is
> the firewalld service active in your system? The firewall configuration is
> not complete. ssh is allowed in the default firewall zone, but the rules for
> this zone are not there and the network interface is not part of that zone.
> 
> Have you modified the firewalld configuration?

firewalld was not running and i didn't modify the firewalld configuration.

firewalld-0.2.7-1.el7.noarch

[root@el7 zones]# systemctl status firewalld
firewalld.service - firewalld - dynamic firewall daemon
	  Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled)
	  Active: inactive (dead) since Sun, 16 Sep 2012 22:27:54 -0400; 14min ago
	 Process: 1583 ExecStart=/usr/sbin/firewalld --nofork $FIREWALLD_ARGS (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/firewalld.service

Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Failed to load zone file '/usr/...ml':
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 FATAL ERROR: No zones found.
Sep 16 22:27:54 el7 firewalld[1583]: 2012-09-16 22:27:54 ERROR: Raising SystemExit in run_server
Comment 5 Thomas Woerner 2014-01-09 06:26:24 EST
I can not verify this. It is working for me.

Closing as NOT A BUG.
Comment 6 Thomas Woerner 2014-01-09 06:50:28 EST
Additionally firewalld is used as the default firewall solution in RHEL-7. The ip*tables services are not active, therefore you can not disable or stop them.

The firewalld bug mentioned above has already been fixed.

Note You need to log in before you can comment on or make changes to this bug.